/* [COLLAPSIBLE] */
#menutree label, #menu label {
  position: relative;
  display: block;
  width: 100%;
  cursor: pointer;
  padding-right: 16px;
  font-size: 18px;
  padding: 8px 0;
}
#menutree input[type=checkbox], #menu input[type=checkbox] {
  display: none; /* Hide ugly checkbox */
}

/* Hide/collapse by default */

li.collapse {
  padding: 8px 0;
  color: #ffffff;
  line-height: 1.1;
  padding-right: 32px;
}

li.collapse ul {
  visibility: hidden;
  opacity: 0;
  max-height: 0; /* CSS bug. Cannot animate height... */
  transition: all 0.2s;
}
label::after {
  content: "";
  color: #ccc;
  position: absolute;
  right: -32px;
  transition: all 0.2s;
  font-size: 24px;
  top: 4px;
  background: url('../img/chevron.png');
  background-position: center;
  height: 24px;
  width: 24px;
  border: #fff 1px solid;
  border-radius: 50%;
}

/* Show when checked */
li.collapse input:checked ~ ul {
  visibility: visible;
  opacity: 1;
  max-height: 999px; /* Just give a big enough height for animation */
}
li.collapse input:checked ~ label::after {
  transform: rotate(180deg);
}

#menutree label, #menu label {
  transition: all 0.2s;
}

li.collapse input:checked ~ label {
  color: #ff8585;
}

/* moble tweaks */

@media screen and (max-width: 64em) {

  #menutree label, #menu label {
    font-size: 22px;
    padding: 8px 0;
    color: #232323;
  }

  #menu li.collapse input:checked ~ label {
    color: #8a8a8a;
  }

  label::after {
    top: 7px;
    color: #232323;
    border: #232323 1px solid;
    background: url('../img/chevron-mob.png');
  }

  ul#menu ul li {
    padding: 4px 0;
  }

  ul#menu ul li a {
    color: #232323;
  }

  #menu li.collapse {
    padding: 8px 48px;
  }
}
